Katello - Bug #6706
[RFE] Display helptip for activation keys
07/21/2014 04:21 PM - Christine Fouant

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1093180 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/446
4
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1093180
Description of problem:
[RFE] Display helptip for activation keys

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.20-1.el6sat.noarch
foreman-compute-1.5.0.20-1.el6sat.noarch
foreman-libvirt-1.5.0.20-1.el6sat.noarch
foreman-postgresql-1.5.0.20-1.el6sat.noarch
foreman-proxy-1.5.6-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-19.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.34-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
How reproducible:
Always

Steps to Reproduce:

1. Navigate to Satellite and create an Activation Key
2. Click on the newly selected Activation Key

05/17/2024 1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1093180

Actual results:
No helptip displayed with the command to register content hosts

Expected results:

It will be very useful to the user if we display the helptip (shown below) like what Katello used to show before:

"Activation Key enables you to modify the selected activation key. This key may be used during system registration. For example,
subscription-manager register --org ACME_Corporation --activationkey activationkey1"

Additional info:

Associated revisions

Revision b928ee32 - 07/22/2014 02:50 PM - Christine Fouant
fixes #6706 - Adds Activation Key helptip, BZ 1093180

Revision 53b3a23a - 07/22/2014 02:50 PM - Christine Fouant
fixes #6706 - Adds Activation Key helptip, BZ 1093180

Revision 0e9bd2c6 - 07/22/2014 04:12 PM - Eric Helms
Merge pull request #4464 from cfouant/helptip-ak

fixes #6706 - Adds Activation Key helptip, BZ 1093180
Revision c36fd065 - 07/22/2014 04:12 PM - Eric Helms
Merge pull request #4464 from cfouant/helptip-ak

fixes #6706 - Adds Activation Key helptip, BZ 1093180

History

#1 - 07/21/2014 04:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4464 added
- Pull request deleted ()

#2 - 07/22/2014 02:00 PM - Eric Helms
- Target version set to 49
- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 07/22/2014 05:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|b928ee32108de0712069401aa9e1377ff8c7c871.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/katello/revisions/b928ee32108de0712069401aa9e1377ff8c7c87f
